Bug 444816 - Task manager open entries jump around when pinned apps are moved in the 'Task Manager' with "Keep launchers separate" option unchecked
Summary: Task manager open entries jump around when pinned apps are moved in the 'Task...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.23.2
Platform: Neon Packages Linux
: LO minor
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-02 10:07 UTC by strangequark
Modified: 2022-06-23 14:02 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strangequark 2021-11-02 10:07:09 UTC
SUMMARY
All the open apps bunch up on the left in a certain configuration (see steps) when any other pinned app is moved

STEPS TO REPRODUCE
1. Enable Task Manager panel (with the app names also displayed) (right click on panel > Show Alternatives > Task Manager)
2. Disable Task Manager setting 'Keep launchers separate' (Right click on Task Manager > Configure > Behavior > disable Keep launchers separate)
3. Open a couple of apps, and try to move any pinned app that is not open.

OBSERVED RESULT
All the opened apps jump to the start of the taskbar

EXPECTED RESULT
They should stay where they are

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.23
KDE Plasma Version: 5.23.2
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.3
Kernel Version: 5.11.0-38-generic (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-7200U CPU @ 2.50GHz
Memory: 7.5 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 620

ADDITIONAL INFORMATION
none
Comment 1 Nate Graham 2021-11-08 18:02:44 UTC
Affects a non-default option of a non-default applet; lowering priority.
Comment 3 Nate Graham 2022-06-23 14:02:37 UTC
Git commit a85eaedaaea1eb5acac45fab1d304a5d2a8dbc93 by Fushan Wen.
Committed on 23/06/2022 at 01:52.
Pushed by fusionfuture into branch 'master'.

libtaskmanager: Fix dragging launcher icon when separateLaunchers is false

When separateLaunchers is false and there are two opened pinned tasks
and one launcher icon, dragging the launcher icon to a position between
the two pinned tasks always fails for the first time.

The general idea of this fix is to make sure after every move operation,
pinned launhcer item and the corresponding opened window still stay
together.
FIXED-IN: 5.26

M  +31   -12   libtaskmanager/launchertasksmodel.cpp
M  +70   -22   libtaskmanager/tasksmodel.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/a85eaedaaea1eb5acac45fab1d304a5d2a8dbc93